<?php

namespace domain\Product\Accessory;

use domain\_\AbstractModule;

class AccessoryModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            AccessoryDefinition::class,
            AccessoryBuilder::class,
            AccessoryRepository::class,
            AccessoryManager::class
        ];
    }

    public function getDefinition(): AccessoryDefinition
    {
        return AccessoryDefinition::getInstance();
    }

    public function getBuilder(): AccessoryBuilder
    {
        return AccessoryBuilder::getInstance();
    }

    public function getRepository(): AccessoryRepository
    {
        return AccessoryRepository::getInstance();
    }

    public function getManager(): AccessoryManager
    {
        return AccessoryManager::getInstance();
    }
}